Subject: bug#33152: Indeterministic test failure in qemu-minimal

From: Edouard KLEIN <[email-masked]>
Date: Tue, 30 Oct 2018 17:26:20 +0100

Hi,

Sorry for the delay:

$guix --version
guix (GNU Guix) 0.15.0
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Please let me know if I can be of assistance. I've tried running the
command a few more times but it succeeds now. I'll let you know if it fails
again.

On Fri, 26 Oct 2018 at 20:24 Gábor Boskovits <[email-masked]> wrote:

> Hello Ludo,
>
> Ludovic Courtès <[email-masked]> ezt írta (időpont: 2018. okt. 26., P,
> 19:58):
> >
> > Hello Gábor,
> >
> > (Should we be Cc’ing this to Edouard?)
> >
>
> Yes, and done.
>
> > Gábor Boskovits <[email-masked]> skribis:
> >
> > > ERROR:tests/test-replication.c:117:test_blk_write: assertion failed:
> > > (async_ret == 0)
> > > FAIL
> > > GTester: last random seed: R02Sb499c9e89b18bb967dd59acad1b2aaa8
> > > (pid=14865)
> > >   /replication/secondary/stop:
>  OK
> > >   /replication/secondary/do_checkpoint:
> OK
> > >   /replication/secondary/get_error_all:
> OK
> > > FAIL: tests/test-replication
> > > make: ***
> [/tmp/guix-build-qemu-minimal-2.10.2.drv-0/qemu-2.10.2/tests/Makefile.include:849:
> >
> > […]
> >
> > > builder for
> `/gnu/store/5q7ixx1qjf7msamr052jc5jyfilhpsai-qemu-minimal-2.10.2.drv'
> failed with exit code 1 cannot build derivation
> >
> > Which Guix version is it, as reported by ‘guix describe’ or ‘guix
> > --version’?  (We’ve been providing QEMU 3.0 since August 2018, commit
> > 5dc8437fc0ff3dedf75de2183e3bf9d493e4aa81, so this must be close to
> > 0.15.0.)
> >
>
> Edouard, could you please provide the requested details.
>
> > This may be a non-deterministic build failure, which shows up because
> > hydra.gnu.org is currently off-line and so substitutes are unavailable.
> >
>
> I have a feeling, that this could well happen on the build farm, as it
> seems
> that there is indeterministic behaviour in the testsuite. Having the
> substitutes
> availble would only hide the bug. WDYT?
>
> > Thanks,
> > Ludo’.
>
> Best regards,
> g_bor
>